Page MenuHomeFreeBSD

stand: Parse BIOS revision from SMBIOS
ClosedPublic

Authored by kd on Sep 1 2022, 2:13 PM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Jun 21, 3:03 AM
Unknown Object (File)
Fri, Jun 21, 12:50 AM
Unknown Object (File)
Fri, Jun 21, 12:25 AM
Unknown Object (File)
Thu, Jun 20, 10:46 PM
Unknown Object (File)
Sun, Jun 9, 8:17 AM
Unknown Object (File)
May 12 2024, 9:58 PM
Unknown Object (File)
Apr 22 2024, 6:14 PM
Unknown Object (File)
Apr 22 2024, 1:36 PM
Subscribers

Details

Summary

Add a smbios.bios.revision kenv, which contains the system BIOS revision as defined in SMBIOS specification, section 3.3.1.
Since the revision is stored in two separate byte fields, the smbios_setenv helper can't be used.
Read and construct the kenv manually instead.

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

kd requested review of this revision.Sep 1 2022, 2:13 PM
imp requested changes to this revision.Sep 1 2022, 2:37 PM
imp added inline comments.
stand/libsa/smbios.c
313

snprintf

This revision now requires changes to proceed.Sep 1 2022, 2:37 PM
stand/libsa/smbios.c
313

Same comment, otherwise good for me.

This revision was not accepted when it landed; it landed in state Needs Review.Sep 2 2022, 11:20 AM
This revision was automatically updated to reflect the committed changes.